[tool.poetry]
name = "rps-header"
version = "2.0.0"
description = ""
authors = ["Markus Katharina Brechtel <markus.brechtel@uk-koeln.de>"]
packages = [{include = "app"}]

[tool.poetry.dependencies]
python = "^3.11"
fastapi = "^0.105.0"
uvicorn = "^0.24.0.post1"
jinjax = "^0.29"
httpx = "^0.26.0"
pyyaml = "^6.0.1"
pyjwt = "^2.8.0"
python-dotenv = "1.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
